﻿Imports FUTURE.Charting
Imports Steema.TeeChart.Drawing
Imports Steema.TeeChart

Public Class ChartTestForm
    Private ReadOnly m_Legend As TeeChartLegend = New TeeChartLegend()
    Dim chartBmp As Bitmap
    Public Sub New()

        ' This call is required by the designer.
        InitializeComponent()

        With tChart1
            .Aspect.View3D = False
            '.BackColor = Color.White
            '.Panel.Color = Color.White
            .Panel.Gradient.Visible = False
            '.Walls.Back.Color = Color.White
            .Walls.Back.Gradient.Visible = False
            .Walls.Back.Color = .Panel.Color

            'Adjust fonts
            .Header.Font.Brush.Color = Color.Blue
            .Header.Font.Name = "Arial"
            .Header.Font.Size = 10
            .Header.Font.SizeFloat = 10.0!
            .SubHeader.Font.Name = "Arial"

            .Dock = DockStyle.Fill
        End With

        Dim helper As ChartHelper = New ChartHelper(tChart1)

        Dim rowCount As Integer = helper.SampleRowLabels.Count()
        Dim columnCount As Integer = helper.SampleColumnLabels.Count()

        helper.AddSeries(rowCount * columnCount)
        helper.AssignLegendSeries(rowCount, columnCount)
        '   chartBmp = New Bitmap(Me.Width, Me.Height)
        m_Legend.Initialize(tChart1, helper.SampleRowLabels, helper.SampleColumnLabels, helper.SampleColors)
        'Do Shadow of custom legend visible false;
        m_Legend.ShadowPanel.Visible = False
        tChart1.Draw()

    End Sub

    Private Sub ExportPngButton_Click(sender As Object, e As EventArgs) Handles ExportPngButton.Click
        Dim fileName As String = "C:\CustomLegend1.png"
        'Exporting all the panel
        Dim ChartImage As Bitmap = New Bitmap(Me.Width, Me.Height)
        Me.DrawToBitmap(ChartImage, New Rectangle(0, 0, Me.Width, Me.Height))
        Dim g As Graphics = Graphics.FromImage(ChartImage)
        Dim rect As Rectangle = New Rectangle(tChart1.Location.X + 10, tChart1.Location.Y + 10, tChart1.Width, tChart1.Height)
        ChartImage.Save(fileName)
        Process.Start(fileName)
    End Sub


    '    Bitmap img = new Bitmap(ctrl.Width, ctrl.Height);
    'ctrl.DrawToBitmap(img, new Rectangle(0, 0, ctrl.Width, ctrl.Height));
    'Graphics canvas = Graphics.FromImage(img);
    'Rectangle rect = new Rectangle(tChart.Location.X + 10, tChart.Location.Y + 10, tChart.Width, tChart.Height);
    'tChart.Chart.Draw(canvas, rect);
    'img.Save("tsuka.bmp");


End Class