﻿

Namespace Charting
    Partial Class Legend2D

        ''' <summary>
        ''' Helper class for accessing the properties of a logical cell in a Legend2D
        ''' </summary>
        Public Class LegendCell
            Private ReadOnly m_Legend As ILegend
            Private ReadOnly m_Row As Integer
            Private ReadOnly m_Column As Integer

            Public Sub New(legend As ILegend, row As Integer, column As Integer)
                m_Legend = legend
                m_Row = row
                m_Column = column
            End Sub

            Public Property Visible As Boolean
                Get
                    Return m_Legend.CellVisible(m_Row, m_Column)
                End Get
                Set(value As Boolean)
                    m_Legend.CellVisible(m_Row, m_Column) = value
                End Set
            End Property
        End Class
    End Class
End Namespace
