﻿Imports FUTURE.Charting

Public Class LegendTestForm

    Protected Overrides Sub OnLoad(ByVal e As EventArgs)
        MyBase.OnLoad(e)
        RefreshLegend()
    End Sub

    Dim m_Helper As New ChartHelper(Nothing)

    Private Sub RefreshLegend()
        Dim rowCount As Integer = 6 - CInt(TrackBar2.Value)
        Dim columnCount As Integer = CInt(TrackBar1.Value)
        Dim rowCaptions(rowCount - 1) As String
        Dim columnCaptions(columnCount - 1) As String
        Dim rowColors(rowCount - 1) As Color
        Array.Copy(m_Helper.SampleRowLabels, rowCaptions, rowCount)
        Array.Copy(m_Helper.SampleColumnLabels, columnCaptions, columnCount)
        Array.Copy(m_Helper.SampleColors, rowColors, rowCount)
        If rowCount > 2 Then
            rowCaptions(1) = TextBox1.Text
        End If
        Legend1.Initialize(rowCaptions, columnCaptions, rowColors)
        Legend1.Refresh()
    End Sub

    Private Sub RefreshEventHandler(sender As Object, e As EventArgs) Handles MyBase.Resize, TrackBar1.Scroll, TrackBar2.Scroll
        RefreshLegend()
    End Sub

    Private Sub TextBox1_TextChanged(sender As Object, e As EventArgs) Handles TextBox1.TextChanged
        Legend1.Row(2).Caption = TextBox1.Text
        Legend1.Refresh()
    End Sub
End Class
