﻿Namespace Charting
    Public Class LegendSeries
        Public Property RowIndex As Integer
        Public Property ColumnIndex As Integer

        Public Property PropertyName As String
        Public Property EntityName As String
        Public Property CaseName As String
        Public Property ModelName As String
        Public Property UseStairs As Boolean

        Public ReadOnly Property IsValid() As Boolean
            Get
                Return RowIndex >= 0 AndAlso ColumnIndex >= 0
            End Get
        End Property

        Sub New()
            RowIndex = -1
            ColumnIndex = -1
        End Sub

        Sub New(row As Integer, column As Integer)
            RowIndex = row
            ColumnIndex = column
        End Sub
    End Class
End Namespace
